<?php
/**
 * Bootstrap.
 *
 * @package MadeByAura\Prime\Plugins\WooCommerce
 * @author  MadeByAura.com
 */

namespace MadeByAura\Prime\Plugins\WooCommerce;

use MadeByAura\Prime\Helpers\Assorted;
use MadeByAura\Prime\Helpers\SingletonTrait;

defined( 'ABSPATH' ) || die();

/**
 * Bootstrap.
 */
class Bootstrap {
	use SingletonTrait;

	/**
	 * Constructor.
	 */
	protected function __construct() {
		// Do not proceed if the plugin is not active.
		if ( ! Assorted::is_plugin_active( 'woocommerce/woocommerce.php' ) ) {
			return;
		}

		// Hooks.
		Hooks\Setup::init();
	}
}
